Bug 67942 - PPPoE should be disconnected before underlain ethX goes down
PPPoE should be disconnected before underlain ethX goes down
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-04 12:06 EDT by UMEZAWA Takeshi
Modified: 2014-03-16 22:28 EDT (History)
2 users (show)

See Also:
Fixed In Version: FC3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-29 16:03:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description UMEZAWA Takeshi 2002-07-04 12:06:58 EDT
Description of Problem:

If a persistent PPPoE session (through adsl-setup) is configured (and
the connection uses ppp0), ppp0 will be shut down before ethX and PPPoE
session is closed unsuccessfully.

This problem makes rebooting slow. My ISP restricts PPPoE session one for
each user. So, another PPPoE session (at rebooting time) is made waiting
for previous PPPoE session timed out (about one minute).


Version-Release number of selected component (if applicable):

RedHat 7.0-7.3 i386 and (probably) all previous versions and all platforms


How Reproducible:

Always


Steps to Reproduce:
1. run `adsl-setup' and make ifcfg-ppp0. this PPPoE should be persistent.
2. run `ifup ppp0' to open PPPoE session.
3. shutdown the system.


Actual Results:

ppp0 is shut down AFTER ethX at shutdown time.


Expected Results:

ppp0 is shut down BEFORE ethX at shutdown time.


Additional Information:
	
To avoid this problem, I wrote K89ppp0 script, which shuts down all PPPoE
connection before K90network. But it's only a 'hack', and not a essential
solution.
Comment 1 Bill Nottingham 2005-09-29 16:03:34 EDT
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.

If this persists on a current release, such as Fedora Core 4, please open a new bug.

Note You need to log in before you can comment on or make changes to this bug.